# MPI_Cart_get

## NAME

MPI_Cart_get − Retrieves Cartesian topology information associated with a communicator.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Cart_get(MPI_Comm comm, int maxdims, int *dims, int *periods,

|  | int *coords)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_CART_GET(COMM, MAXDIMS, DIMS, PERIODS, COORDS, IERROR)

| INTEGER |  |  | COMM, MAXDIMS, DIMS(*), COORDS(*), IERROR
| LOGICAL |  |  | PERIODS(*)

## C++ Syntax

#include <mpi.h>
void Cartcomm::Get_topo(int maxdims, int dims[],

| bool periods[], int coords[]) const

## INPUT PARAMETERS

| comm |  | Communicator with Cartesian structure (handle).
| maxdims |  | Length of vectors dims, periods, and coords in the calling program (integer).

## OUTPUT PARAMETERS

| dims |  | Number of processes for each Cartesian dimension (array of integers).
| periods |  | Periodicity (true/false) for each Cartesian dimension (array of logicals).
| coords |  | Coordinates of calling process in Cartesian structure (array of integers).
| IERROR |  | Fortran only: Error status (integer).

## DESCRIPTION

The functions MPI_Cartdim_get and MPI_Cart_get return the Cartesian topology information that was associated with a communicator by MPI_Cart_create.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Cartdim_get
MPI_Cart_create

MPI API Index